import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, v = Object.getOwnPropertyDescriptor, s = (a, r, l, o) => {
  for (var e = o > 1 ? void 0 : o ? v(r, l) : r, i = a.length - 1, c; i >= 0; i--)
    (c = a[i]) && (e = (o ? c(r, l, e) : c(e)) || e);
  return o && e && g(r, l, e), e;
};
let t = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--facebookCircleFilledLarge", this.class = "c-pieIcon c-pieIcon--facebookCircleFilledLarge", this.name = "IconSocialFacebookCircleFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--facebookCircleFilledLarge"><path d="M16 3.671a12.25 12.25 0 1 0 0 24.5 12.25 12.25 0 0 0 0-24.5Zm3.85 7.403h-1.138a1.294 1.294 0 0 0-1.46 1.426v1.689h2.493l-.402 2.625H17.25v6.282a8.75 8.75 0 0 1-2.817 0V16.77H12.15v-2.625h2.284v-1.96a3.175 3.175 0 0 1 3.403-3.5c.675.01 1.347.068 2.013.175v2.214Z"></path></svg>`;
  }
};
s([
  p({ type: String, reflect: !0 })
], t.prototype, "size", 2);
s([
  p({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = s([
  h("icon-social-facebook-circle-filled-large")
], t);
export {
  t as IconSocialFacebookCircleFilledLarge
};
